ConnectorRO (Freeplane API 1.11.7)
Description: declaration: package: org.freeplane.api, interface: ConnectorRO

Package org.freeplane.api

# Interface ConnectorRO

All Known Subinterfaces:
  `Connector`, `Proxy.Connector`, `Proxy.ConnectorRO`

public interface ConnectorRO
Graphical connector between nodes:`node.connectorsIn` / `node.connectorsOut` - read-only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Color`
  `getColor()`
  `String`
  `getColorCode()`
  `int[]`
  `getDashArray()`
  Since 1.7.10
  `List<Integer>`
  `getEndInclination()`
  returns a Point.
  `String`
  `getLabelFontFamily()`
  Since 1.7.10
  `int`
  `getLabelFontSize()`
  Since 1.7.10
  `String`
  `getMiddleLabel()`
  `int`
  `getOpacity()`
  0 <= opacity <= 255 Since 1.7.10
  `String`
  `getShape()`
  returns one of LINE, LINEAR_PATH, CUBIC_CURVE, EDGE_LIKE.
  `Node`
  `getSource()`
  The node without the arrow.
  `String`
  `getSourceLabel()`
  `List<Integer>`
  `getStartInclination()`
  returns a Point.
  `Node`
  `getTarget()`
  The node with the arrow.
  `String`
  `getTargetLabel()`
  `int`
  `getWidth()`
  Since 1.7.10
  `boolean`
  `hasEndArrow()`
  `boolean`
  `hasStartArrow()`
  `boolean`
  `simulatesEdge()`

- ## Method Details

  - ### getShape

    String getShape()
    returns one of LINE, LINEAR_PATH, CUBIC_CURVE, EDGE_LIKE.
    Since:
      1.3

  - ### getColor

    Color getColor()

  - ### getColorCode

    String getColorCode()

  - ### getDashArray

    int[] getDashArray()
    Since 1.7.10

  - ### getOpacity

    int getOpacity()
    0 <= opacity <= 255 Since 1.7.10

  - ### getWidth

    int getWidth()
    Since 1.7.10

  - ### getLabelFontFamily

    String getLabelFontFamily()
    Since 1.7.10

  - ### getLabelFontSize

    int getLabelFontSize()
    Since 1.7.10

  - ### hasEndArrow

    boolean hasEndArrow()
    Since:
      1.2

  - ### getMiddleLabel

    String getMiddleLabel()

  - ### getSource

    Node getSource()
    The node without the arrow. On connectors with arrows at both ends one of the ends.

  - ### getSourceLabel

    String getSourceLabel()

  - ### hasStartArrow

    boolean hasStartArrow()
    Since:
      1.2

  - ### getTarget

    Node getTarget()
    The node with the arrow. On connectors with arrows at both ends one of the ends.

  - ### getTargetLabel

    String getTargetLabel()

  - ### simulatesEdge

    boolean simulatesEdge()

  - ### getStartInclination

    List<Integer> getStartInclination()
    returns a Point.
    Since:
      1.3.3

  - ### getEndInclination

    List<Integer> getEndInclination()
    returns a Point.
    Since:
      1.3.3